--[[
Copyright (c) 2010, LordFarlander
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
]]--

return {
    { name = "The Forbidding Sea", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_NONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "The Great Sea", low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_NONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "The North Sea", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_NONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "The Veiled Sea", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_NONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Hyjal", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_NONE, faction = BRECZONE_CONTESTED, mountable = true },
-- Eastern Kingdoms
    { name = "Stormwind City", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Ironforge", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Undercity", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_HORDE, mountable = true },
    { name = "Dun Morogh", low = 1, high = 12, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Elwynn Forest", low = 1, high = 12, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Tirisfal Glades", low = 1, high = 12, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_HORDE, mountable = true },
    { name = "Loch Modan", low = 10, high = 20, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Westfall", low = 10, high = 20, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Silverpine Forest", low = 10, high = 20, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_HORDE, mountable = true },
    { name = "Redridge Mountains", low = 15, high = 25, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Wetlands", low = 20, high = 30, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Duskwood", low = 20, high = 30, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Hillsbrad Foothills", low = 20, high = 30, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Alterac Mountains", low = 30, high = 40, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Arathi Highlands", low = 30, high = 40, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Stranglethorn Vale", low = 30, high = 45, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Badlands", low = 35, high = 45, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Swamp of Sorrows", low = 35, high = 45, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "The Hinterlands", low = 40, high = 50, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Searing Gorge", low = 43, high = 50, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Blasted Lands", low = 47, high = 55, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Burning Steppes", low = 50, high = 60, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Western Plaguelands", low = 50, high = 60, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Deadwind Pass", low = 55, high = 60, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Eastern Plaguelands", low = 55, high = 60, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
-- Kalimdor
    { name = "Darnassus", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Orgrimmar", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_HORDE, mountable = true },
    { name = "Thunder Bluff", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_HORDE, mountable = true },
    { name = "Moonglade", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Teldrassil", low = 1, high = 12, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "Durotar", low = 1, high = 12, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_HORDE, mountable = true },
    { name = "Mulgore", low = 1, high = 12, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_HORDE, mountable = true },
    { name = "Darkshore", low = 10, high = 20, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true },
    { name = "The Barrens", low = 10, high = 25, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_HORDE, mountable = true },
    { name = "Stonetalon Mountains", low = 15, high = 27, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Ashenvale", low = 15, high = 30, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Thousand Needles", low = 25, high = 35, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Desolace", low = 30, high = 40, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Dustwallow Marsh", low = 35, high = 45, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Feralas", low = 40, high = 50, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Tanaris", low = 40, high = 50, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Un'Goro Crater", low = 48, high = 55, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Azshara", low = 48, high = 55, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Felwood", low = 48, high = 55, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Silithus", low = 55, high = 60, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "Winterspring", low = 55, high = 60, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true },
-- Towns and transport zones
    { name = "Booty Bay", low = 30, high = 45, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_CONTESTED },
    { name = "Ratchet", low = 10, high = 25, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_CONTESTED },
    { name = "Gadgetzan", low = 40, high = 50, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_CONTESTED },
    { name = "Deeprun Tram", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE },
    { name = "Theramore Isle", low = 35, high = 45, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE },
    { name = "Menethil Harbor", low = 20, high = 30, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE },
    { name = "Auberdine", low = 10, high = 20, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE },
    { name = "Grom'gol Base Camp", low = 30, high = 45, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_HORDE },
-- Vanilla Dungeons
    { name = "Ragefire Chasm", abbreviation = "RFC", low = 15, high = 25, bosses = 4, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_HORDE },
    { name = "The Deadmines", abbreviation = { "VC", "DMVC", "DM" }, low = 15, high = 25, bosses = 8, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Wailing Caverns", abbreviation = "WC", low = 15, high = 25, bosses = 8, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Shadowfang Keep", abbreviation = "SFK", low = 15, high = 25, bosses = 8, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Blackfathom Deeps", abbreviation = "BFD", low = 19, high = 29, bosses = 8, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "The Stockade", abbreviation = "Stocks", low = 20, high = 30, bosses = 5, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_ALLIANCE },
    { name = "Razorfen Kraul", abbreviation = "RFK", low = 22, high = 32, bosses = 6, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Gnomeregan", abbreviation = { "GR", "Gnome", "Gnomer" }, low = 23, high = 33, bosses = 7, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Scarlet Monastery", "Graveyard" ), abbreviation = { "SMG", "SM-G" }, low = 27, high = 37, bosses = 2, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Scarlet Monastery", "Library" ), abbreviation = { "SML", "SM-L" }, low = 30, high = 40, bosses = 2, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Razorfen Downs", abbreviation = "RFD", low = 32, high = 42, bosses = 5, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Scarlet Monastery", "Armory" ), abbreviation = { "SMA", "SM-A" }, bosses = 1, low = 32, high = 42, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Scarlet Monastery", "Cathedral" ), abbreviation = { "SMC", "SM-C" }, bosses = 3, low = 35, high = 45, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Uldaman", low = 35, high = 45, bosses = 8, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Maraudon", "Orange Crystals" ), abbreviation = "Mara", bosses = 4, low = 41, high = 51, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, versionadded = 10200 },
    { name = zst( "Maraudon", "Purple Crystals" ), abbreviation = "Mara", bosses = 3, low = 39, high = 49, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, versionadded = 10200 },
    { name = zst( "Maraudon", "Pristine Waters" ), abbreviation = "Mara", bosses = 4, low = 41, high = 53, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, versionadded = 10200 },
    { name = "Zul'Farrak", abbreviation = "ZF", low = 41, high = 51, bosses = 8, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, mountable = true },
    { name = "The Temple of Atal'Hakkar", displayname = "Sunken Temple", abbreviation = { "ST", "Temple" }, low = 45, high = 55, bosses = 10, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Blackrock Depths", "Lower City" ), abbreviation = "BRD", low = 47, high = 57, bosses = 1, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Blackrock Depths", "Upper City" ), abbreviation = "BRD", low = 51, high = 61, bosses = 19, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Dire Maul (East)", abbreviation = { "DME", "DM-E" }, low = 53, high = 63, bosses = 5, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, versionadded = 10300 },
    { name = "Dire Maul (West)", abbreviation = { "DMW", "DM-W" }, low = 55, high = 65, bosses = 5, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, versionadded = 10300 },
    { name = "Dire Maul (North)", abbreviation = { "DMN", "DM-N" }, low = 55, high = 65, bosses = 7, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, versionadded = 10300 },
    { name = "Blackrock Spire", x = 2, displayname = "Lower Blackrock Spire", abbreviation = "LBRS", low = 55, high = 65, bosses = 9, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = "Scholomance", abbreviation = "Scholo", low = 55, high = 65, bosses = 13, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Stratholme", "Main Gate" ), abbreviation = "Strat", low = 55, high = 65, bosses = 10, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
    { name = zst( "Stratholme", "Service Entrance" ), abbreviation = "Strat", low = 55, high = 65, bosses = 7, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED },
-- Vanilla Raids
    { name = "Blackrock Spire", x = 3, displayname = "Upper Blackrock Spire", abbreviation = "UBRS", low = 56, high = 63, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 10 },
    { name = "Zul'Gurub", abbreviation = "ZG", progression = 1, low = 56, high = 63, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 20, mountable = true, versionadded = 10700 },
    { name = "Onyxia's Lair", abbreviation = { "Ony", "Onx", "Onyxia" }, x = 1, progression = 2, low = 60, high = 63, continent = BRECZONE_KALIMDOR, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 40, versionremoved = 30202 },
    { name = "Molten Core", abbreviation = "MC", progression = 3, low = 60, high = 63, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 40 },
    { name = "Ahn'Qiraj", abbreviation = "AQ20", progression = 4, low = 60, high = 63, continent = BRECZONE_KALIMDOR, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 20, mountable = true, versionadded = 10900 },
    { name = "Blackwing Lair", abbreviation = "BWL", progression = 5, low = 60, high = 63, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 40, versionadded = 10600 },
    { name = "Temple of Ahn'Qiraj", abbreviation = "AQ40", progression = 6, low = 60, high = 63, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 40, mountable = true, versionadded = 10900 },
    { name = "Naxxramas", abbreviation = "Naxx", x = 1, progression = 7, low = 60, high = 63, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 40, versionadded = 11100, versionremoved = 30002 },
-- Vanilla Battlegrounds
    { name = "Warsong Gulch", abbreviation = "WSG", x = 1, low = 10, high = -1, continent = BRECZONE_KALIMDOR, type = BRECZONE_BATTLEGROUND, faction = BRECZONE_HORDE, size = 10, mountable = true, versionadded = 10600 },
    { name = "Warsong Gulch", abbreviation = "WSG", x = 2, low = 10, high = -1, continent = BRECZONE_KALIMDOR, type = BRECZONE_BATTLEGROUND, faction = BRECZONE_ALLIANCE, size = 10, mountable = true, versionadded = 10600 },
    { name = "Arathi Basin", abbreviation = "AB", low = 20, high = -1, continent = BRECZONE_EASTERN, type = BRECZONE_BATTLEGROUND, faction = BRECZONE_CONTESTED, size = 15, mountable = true, versionadded = 10600 },
    { name = "Alterac Valley", abbreviation = "AV", low = 51, high = -1, continent = BRECZONE_EASTERN, type = BRECZONE_BATTLEGROUND, faction = BRECZONE_CONTESTED, size = 40, mountable = true, versionadded = 10700 },
-- Collections areas for instances
    { name = "Scarlet Monastery", abbreviation = "SM", low = 27, high = 45, continent = BRECZONE_EASTERN, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
    { name = "Maraudon", low = 41, high = 53, continent = BRECZONE_KALIMDOR, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 10200 },
    { name = "Dire Maul", abbreviation = "DM", low = 53, high = 65, continent = BRECZONE_KALIMDOR, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 10300 },
    { name = "Stratholme", low = 55, high = 65, continent = BRECZONE_EASTERN, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
    { name = "Blackrock Spire", abbreviation = "BRS", x = 1, low = 55, high = 65, continent = BRECZONE_EASTERN, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
    { name = "Blackrock Depths", low = 47, high = 61, continent = BRECZONE_EASTERN, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
    { name = "Blackrock Mountain", low = 47, high = 62, continent = BRECZONE_EASTERN, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
-- Burning Crusade
-- Transport between old and new world
    { name = "The Dark Portal", low = 58, high = -1, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_CONTESTED },
    { name = "Orb of Translocation", low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE, versionadded = 20003 },
-- Blood Elf
    { name = "Silvermoon City", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_CITY, faction = BRECZONE_HORDE, mountable = true, versionadded = 20003 },
    { name = "Eversong Woods", low = 1, high = 12, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_HORDE, mountable = true, versionadded = 20003 },
    { name = "Ghostlands", low = 10, high = 20, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_HORDE, mountable = true, versionadded = 20003 },
-- Draenei
    { name = "The Exodar", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE, mountable = true, versionadded = 20003 },
    { name = "Azuremyst Isle", low = 1, high = 12, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true, versionadded = 20003 },
    { name = "Bloodmyst Isle", low = 10, high = 20, continent = BRECZONE_KALIMDOR, type = BRECZONE_ZONE, faction = BRECZONE_ALLIANCE, mountable = true, versionadded = 20003 },
-- Other
    { name = "Isle of Quel'Danas", low = 65, high = 70, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, versionadded = 20400 },
-- Outland
    { name = "Twisting Nether", low = 0, high = 0, continent = BRECZONE_OUTLAND, type = BRECZONE_NONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Shattrath City", low = 0, high = 0, continent = BRECZONE_OUTLAND, type = BRECZONE_CITY, faction = BRECZONE_SANCTUARY, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Hellfire Peninsula", low = 58, high = 63, continent = BRECZONE_OUTLAND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Zangarmarsh", low = 60, high = 64, continent = BRECZONE_OUTLAND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Terokkar Forest", low = 62, high = 65, continent = BRECZONE_OUTLAND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Nagrand", low = 64, high = 67, continent = BRECZONE_OUTLAND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Blade's Edge Mountains", low = 65, high = 68, continent = BRECZONE_OUTLAND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Netherstorm", low = 67, high = 70, continent = BRECZONE_OUTLAND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
    { name = "Shadowmoon Valley", low = 67, high = 70, continent = BRECZONE_OUTLAND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 20003 },
-- Burning Crusade Dungeons
    { name = "Hellfire Ramparts", abbreviation = { "HFR", "Ramp", "Ramps", "Ramparts" }, low = 57, high = 67, bosses = 3, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Blood Furnace", abbreviation = "BF", low = 59, high = 68, bosses = 3, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Slave Pens", abbreviation = "SP", low = 60, high = 69, bosses = 3, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Underbog", abbreviation = { "UB", "Bog" }, low = 61, high = 70, bosses = 5, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "Mana-Tombs", abbreviation = { "MT", "Tombs" }, low = 62, high = 70, bosses = 3, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "Auchenai Crypts", abbreviation = { "AC", "Crypts" }, low = 63, high = 72, bosses = 2, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "Old Hillsbrad Foothills", displayname = "The Escape from Durnholde", low = 64, high = 73, bosses = 3, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, mountable = true, versionadded = 20003 },
    { name = "Sethekk Halls", abbreviation = { "Seth", "Sethekk" }, low = 65, high = 73, bosses = 2, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75, bosses = 3 }, versionadded = 20003 },
    { name = "Shadow Labyrinth", abbreviation = { "SL", "Lab", "Slabs", "Shadow Labs" }, low = 67, high = 75, bosses = 4, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Mechanar", abbreviation = "Mech", low = 67, high = 75, bosses = 4, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Shattered Halls", abbreviation = "SH", low = 67, high = 75, bosses = 3, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Botanica", abbreviation = "Bot", low = 67, high = 75, bosses = 5, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Steamvault", abbreviation = { "SV", "Vaults" }, low = 67, high = 75, bosses = 3, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "The Arcatraz", abbreviation = { "AZ", "Arca" }, low = 68, high = 75, bosses = 5, continent = BRECZONE_OUTLAND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20003 },
    { name = "Magisters' Terrace", abbreviation = { "MgT", "MsT", "MrT", "QD5", "MT" }, low = 68, high = 75, bosses = 3, continent = BRECZONE_EASTERN, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, versionadded = 20400 },
    { name = "The Black Morass", displayname = "Opening the Dark Portal", low = 68, high = 70, bosses = 3, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 70, high = 75 }, mountable = true, versionadded = 20003 },
-- Burning Crusade Raids
    { name = "Karazhan", abbreviation = { "KZ", "Kara" }, progression = 1, low = 70, high = 73, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 10, versionadded = 20003 },
    { name = "Gruul's Lair", abbreviation = "GL", progression = 2, low = 70, high = 73, continent = BRECZONE_OUTLAND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 25, versionadded = 20003 },
    { name = "Magtheridon's Lair", abbreviation = { "ML", "Mag" }, progression = 3, low = 70, high = 73, continent = BRECZONE_OUTLAND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 25, versionadded = 20003 },
    { name = "Zul'Aman", abbreviation = "ZA", progression = 4, low = 70, high = 73, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 10, mountable = true, versionadded = 20300 },
    { name = "Serpentshrine Cavern", abbreviation = "SSC", progression = 5, low = 70, high = 73, continent = BRECZONE_OUTLAND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 25, versionadded = 20003 },
    { name = "The Eye", abbreviation = { "Eye", "TE" }, progression = 6, low = 70, high = 73, continent = BRECZONE_OUTLAND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 25, versionadded = 20003 },
    { name = "Hyjal Summit", displayname = "Battle for Mount Hyjal", abbreviation = { "HY", "MH" }, progression = 7, low = 70, high = 73, continent = BRECZONE_KALIMDOR, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 25, mountable = true, versionadded = 20003 },
    { name = "Black Temple", abbreviation = "BT", progression = 8, low = 70, high = 73, continent = BRECZONE_OUTLAND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 25, versionadded = 20100 },
    { name = "Sunwell Plateau", abbreviation = { "SWP", "QD25" }, progression = 9, low = 70, high = 73, continent = BRECZONE_EASTERN, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = 25, mountable = true, versionadded = 20400 },
-- Burning Crusade Battlegrounds
    { name = "Eye of the Storm", abbreviation = { "EotS", "Eye" }, low = 61, high = -1, continent = BRECZONE_OUTLAND, type = BRECZONE_BATTLEGROUND, faction = BRECZONE_CONTESTED, size = 15, bracket = true, mountable = true, versionadded = 20003 },
-- Collections areas for instances
    { name = "Caverns of Time", low = 64, high = 80, continent = BRECZONE_KALIMDOR, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 20003 },
    { name = "Hellfire Citadel", low = 57, high = 75, continent = BRECZONE_OUTLAND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 20003 },
    { name = "Ring of Observance", displayname = "Auchindoun", low = 62, high = 75, continent = BRECZONE_OUTLAND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 20003 },
    { name = "Coilfang Reservoir", low = 62, high = 75, continent = BRECZONE_OUTLAND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 20003 },
    { name = "Tempest Keep", low = 68, high = 75, continent = BRECZONE_OUTLAND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 20003 },
-- Burning Crusade Arenas
    { name = "Blade's Edge Arena", low = 0, high = 0, continent = BRECZONE_OUTLAND, type = BRECZONE_ARENA, faction = BRECZONE_CONTESTED, mountable = true, versionadded = 20001 },
    { name = "Nagrand Arena", low = 0, high = 0, continent = BRECZONE_OUTLAND, type = BRECZONE_ARENA, faction = BRECZONE_CONTESTED, mountable = true, versionadded = 20001 },
    { name = "Ruins of Lordaeron", low = 0, high = 0, continent = BRECZONE_EASTERN, type = BRECZONE_ARENA, faction = BRECZONE_CONTESTED, mountable = true, versionadded = 20100 },
    { name = "The Ring of Valor", low = 0, high = 0, continent = BRECZONE_KALIMDOR, type = BRECZONE_ARENA, faction = BRECZONE_CONTESTED, mountable = true, versionadded = 20001 },
-- Wrath of the Lich King
-- Northrend
    { name = "The Frozen Sea", low = 0, high = 0, continent = BRECZONE_NORTHREND, type = BRECZONE_NONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Borean Tundra", low = 68, high = 72, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Howling Fjord", low = 68, high = 72, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Dragonblight", low = 71, high = 74, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Grizzly Hills", low = 73, high = 75, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Zul'Drak", low = 74, high = 77, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Sholazar Basin", low = 75, high = 78, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Crystalsong Forest", low = 77, high = 80, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "The Storm Peaks", low = 76, high = 80, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Icecrown", low = 77, high = 80, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Wintergrasp", abbreviation = "WG", low = 77, high = 80, continent = BRECZONE_NORTHREND, type = BRECZONE_PVP, faction = BRECZONE_PVP, mountable = true, flyable = true, versionadded = 30002 },
    { name = "Dalaran", low = 0, high = 0, continent = BRECZONE_NORTHREND, type = BRECZONE_CITY, faction = BRECZONE_SANCTUARY, mountable = true, versionadded = 30002 },
    { name = "Hrothgar's Landing", low = 77, high = 80, continent = BRECZONE_NORTHREND, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, flyable = true, versionadded = 30200 },
-- Death Knights
    { name = "Plaguelands: The Scarlet Enclave", low = 55, high = 58, continent = BRECZONE_EASTERN, type = BRECZONE_ZONE, faction = BRECZONE_CONTESTED, mountable = true, versionadded = 30002 },
-- Wrath of the Lich King Dungeons
    { name = "Utgarde Keep", abbreviation = "UK", x = 2, low = 68, high = 80, bosses = 3, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30002 },
    { name = "The Nexus", abbreviation = { "Nex", "Nexus" }, low = 69, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83, bosses = 5 }, versionadded = 30002 },
    { name = "Azjol-Nerub", abbreviation = { "AN", "Nerub" }, low = 70, high = 80, bosses = 3, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30002 },
    { name = "Ahn'kahet: The Old Kingdom", abbreviation = { "AK", "Kahet", "Old Kingdom" }, low = 71, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83, bosses = 5 }, versionadded = 30002 },
    { name = "Drak'Tharon Keep", abbreviation = { "DTK", "DK" }, low = 72, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30002 },
    { name = "The Violet Hold", abbreviation = "VH", low = 73, high = 80, bosses = 3, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30002 },
    { name = "Gundrak", abbreviation = { "GD", "Gun" }, low = 74, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83, bosses = 5 }, versionadded = 30002 },
    { name = "Halls of Stone", abbreviation = "HoS", low = 75, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30002 },
    { name = "Halls of Lightning", abbreviation = "HoL", low = 77, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30002 },
    { name = "The Culling of Stratholme", abbreviation = "CoS", low = 77, high = 80, bosses = 4, continent = BRECZONE_KALIMDOR, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83, bosses = 5 }, mountable = true, versionadded = 30002 },
    { name = "Utgarde Pinnacle", abbreviation = "UP", low = 77, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30002 },
    { name = "The Oculus", abbreviation = "OCC", low = 77, high = 80, bosses = 4, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, mountable = true, versionadded = 30002 },
    { name = "Trial of the Champion", low = 80, high = 80, bosses = 3, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, mountable = true, versionadded = 30200 },
    { name = "The Forge of Souls", abbreviation = "FoS", low = 80, high = 80, bosses = 2, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30300 },
    { name = "Pit of Saron", abbreviation = "PoS", low = 80, high = 80, bosses = 3, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30300 },
    { name = "Halls of Reflection", abbreviation = "HoR", low = 80, high = 80, bosses = 3, continent = BRECZONE_NORTHREND, type = BRECZONE_DUNGEON, faction = BRECZONE_CONTESTED, heroic = { low = 80, high = 83 }, versionadded = 30300 },
-- Wrath of the Lich King Raids
    { name = "Vault of Archavon", abbreviation = "VoA", progression = 0, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, versionadded = 30002 },
    { name = "Naxxramas", abbreviation = "Naxx", x = 2, progression = 1, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, versionadded = 30002 },
    { name = "The Obsidian Sanctum", abbreviation = { "OS", "TOS" }, progression = 2, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, versionadded = 30002 },
    { name = "The Eye of Eternity", abbreviation = { "EoE", "Eye" }, progression = 3, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, versionadded = 30002 },
    { name = "Ulduar", abbreviation = "Uld", progression = 4, x = 2, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, mountable = true, versionadded = 30100 },
    { name = "Onyxia's Lair", abbreviation = { "Ony", "Onx", "Onyxia" }, x = 2, progression = 5, low = 80, high = 83, continent = BRECZONE_KALIMDOR, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, versionadded = 30202 },
    { name = "Trial of the Crusader", progression = 6, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, heroic = { low = 80, high = 83 }, mountable = true, versionadded = 30200 },
    { name = "Icecrown Citadel", abbreviation = { "ICC", "IC" }, progression = 8, x = 2, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, heroic = { low = 80, high = 83 }, versionadded = 30300 },
    { name = "The Ruby Sanctum", abbreviation = { "RS", "TRS" }, progression = 7, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_RAID, faction = BRECZONE_CONTESTED, size = { 10, 25 }, versionadded = 30305, },
-- Wrath of the Lich King Battlegrounds
    { name = "Strand of the Ancients", abbreviation = "SotA", low = 71, high = -1, continent = BRECZONE_NORTHREND, type = BRECZONE_BATTLEGROUND, faction = BRECZONE_CONTESTED, size = 15, bracket = true, mountable = true, versionadded = 30002 },
    { name = "Isle of Conquest", abbreviation = "IoC", low = 71, high = -1, continent = BRECZONE_NORTHREND, type = BRECZONE_BATTLEGROUND, faction = BRECZONE_CONTESTED, size = 40, bracket = true, mountable = true, versionadded = 30200 },
-- Towns and transport zones
    { name = "Valiance Keep", low = 68, high = 72, continent = BRECZONE_NORTHREND, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE, versionadded = 30002 },
    { name = "Warsong Hold", low = 68, high = 72, continent = BRECZONE_NORTHREND, type = BRECZONE_CITY, faction = BRECZONE_HORDE, versionadded = 30002 },
    { name = "Valgarde", low = 68, high = 72, continent = BRECZONE_NORTHREND, type = BRECZONE_CITY, faction = BRECZONE_ALLIANCE, versionadded = 30002 },
    { name = "New Agamand", low = 68, high = 72, continent = BRECZONE_NORTHREND, type = BRECZONE_CITY, faction = BRECZONE_HORDE, versionadded = 30002 },
-- Collections areas for instances
    { name = "Coldarra", displayname = "The Nexus", low = 69, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
    { name = "Ulduar", x = 1, low = 75, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 30100 },
    { name = "Utgarde Keep", x = 1, low = 68, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
    { name = "Wintergrasp Fortress", low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED },
    { name = "Argent Tournament Grounds", low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 30100 },
    { name = "The Pit of Narjun", low = 70, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 30002 },
    { name = "Wyrmrest Temple", low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 30002 },
    { name = "Icecrown Citadel", x = 1, low = 80, high = 83, continent = BRECZONE_NORTHREND, type = BRECZONE_COLLECTOR, faction = BRECZONE_CONTESTED, versionadded = 30002 },
-- Wrath of the Lich King Arenas
    { name = "Dalaran Sewers", low = 0, high = 0, continent = BRECZONE_NORTHREND, type = BRECZONE_ARENA, faction = BRECZONE_CONTESTED, mountable = true, versionadded = 30002 },
--
-- Transports
    { name = "Boat", x = 1, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Boat", x = 2, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Boat", x = 3, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Boat", x = 4, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_CONTESTED },
    { name = "Boat", x = 5, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Boat", x = 6, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Boat", x = 7, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Boat", x = 8, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_CONTESTED },
    { name = "Boat", x = 9, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_CONTESTED },
    { name = "Portal", x = 1, low = 70, high = -1, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_CONTESTED },
    { name = "Portal", x = 2, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 3, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 4, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 5, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 6, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 7, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 8, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 9, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 10, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 11, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 12, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 13, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 14, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 15, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 16, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 17, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 18, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 19, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 20, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 21, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 22, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_CONTESTED },
    { name = "Portal", x = 24, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 25, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 26, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 27, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 28, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 29, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 30, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 31, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 32, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 33, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 34, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 35, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 36, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 37, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 38, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 39, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_ALLIANCE },
    { name = "Portal", x = 40, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 41, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 42, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 43, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Portal", x = 44, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Zeppelin", x = 1, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Zeppelin", x = 2, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Zeppelin", x = 3, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Zeppelin", x = 4, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
    { name = "Zeppelin", x = 5, low = 0, high = 0, continent = BRECZONE_NOWHERE, type = BRECZONE_TRANSPORT, faction = BRECZONE_HORDE },
},
function()
    zones[zn( "Stormwind City" )].zones = { zn( "Deeprun Tram" ), zn( "Elwynn Forest" ), zn( "The Stockade" ), zn( "Boat", 2 ), zn( "Boat", 6 ), zn( "Portal", 36 ) };
    zones[zn( "Ironforge" )].zones = { zn( "Deeprun Tram" ), zn( "Dun Morogh" ), zn( "Isle of Quel'Danas" ), zn( "Portal", 2 ), zn( "Portal", 37 ) };
    zones[zn( "Darnassus" )].zones = { zn( "Teldrassil" ), zn( "Boat", 3 ), zn( "Portal", 38 ) };
    zones[zn( "Undercity" )].zones = { zn("Orb of Translocation" ), zn( "Tirisfal Glades" ), zn( "Portal", 41 ) };
    zones[zn( "Orgrimmar" )].zones = { zn( "Durotar" ), zn( "Ragefire Chasm" ), zn( "Portal", 40 ) };
    zones[zn( "Thunder Bluff" )].zones = { zn( "Mulgore" ), zn( "Portal", 42 ) };
    zones[zn( "Moonglade" )].zones = { zn( "Winterspring" ), zn( "Felwood" ) };
    zones[zn( "Dun Morogh" )].zones = { zn( "Ironforge" ), zn( "Loch Modan" ), zn( "Gnomeregan" ) };
    zones[zn( "Elwynn Forest" )].zones = { zn( "Stormwind City" ), zn( "Westfall" ), zn( "Redridge Mountains" ), zn( "Duskwood" ) };
    zones[zn( "Teldrassil" )].zones = { zn( "Darnassus" ) };
    zones[zn( "Tirisfal Glades" )].zones = { zn( "Undercity" ), zn( "Silverpine Forest" ), zn( "Western Plaguelands" ), zn( "Zeppelin", 1 ), zn( "Zeppelin", 2 ), zn( "Scarlet Monastery" ), zn( "Zeppelin", 5 ) };
    zones[zn( "Durotar" )].zones = { zn( "Orgrimmar" ), zn( "The Barrens" ), zn( "Azshara" ), zn( "Zeppelin", 1 ), zn( "Zeppelin", 3 ), zn( "Zeppelin", 4 ) };
    zones[zn( "Mulgore" )].zones = { zn( "Thunder Bluff" ), zn( "The Barrens" ) };
    zones[zn( "Loch Modan" )].zones = { zn( "Dun Morogh" ), zn( "Wetlands" ), zn( "Badlands" ) };
    zones[zn( "Westfall" )].zones = { zn( "Elwynn Forest" ), zn( "Duskwood" ), zn( "The Deadmines" ) };
    zones[zn( "Silverpine Forest" )].zones = { zn( "Tirisfal Glades" ), zn( "Hillsbrad Foothills" ), zn( "Alterac Mountains" ), zn( "Shadowfang Keep" ) };
    zones[zn( "Darkshore" )].zones = { zn( "Ashenvale" ), zn( "Auberdine" ) };
    zones[zn( "The Barrens" )].zones = { zn( "Ratchet" ), zn( "Durotar" ), zn( "Mulgore" ), zn( "Stonetalon Mountains" ), zn( "Ashenvale" ), zn( "Thousand Needles" ), zn( "Dustwallow Marsh" ), zn( "Wailing Caverns" ), zn( "Razorfen Kraul" ), zn( "Razorfen Downs" ), zn( "Warsong Gulch", 1 ) };
    zones[zn( "Redridge Mountains" )].zones = { zn( "Elwynn Forest" ), zn( "Burning Steppes" ) };
    zones[zn( "Stonetalon Mountains" )].zones = { zn( "The Barrens" ), zn( "Ashenvale" ), zn( "Desolace" ) };
    zones[zn( "Ashenvale" )].zones = { zn( "Darkshore" ), zn( "The Barrens" ), zn( "Stonetalon Mountains" ), zn( "Azshara" ), zn( "Felwood" ), zn( "Blackfathom Deeps" ), zn( "Warsong Gulch", 2 ) };
    zones[zn( "Wetlands" )].zones = { zn( "Loch Modan" ), zn( "Arathi Highlands" ), zn( "Menethil Harbor" ) };
    zones[zn( "Duskwood" )].zones = { zn( "Elwynn Forest" ), zn( "Westfall" ), zn( "Stranglethorn Vale" ), zn( "Deadwind Pass" ) };
    zones[zn( "Hillsbrad Foothills" )].zones = { zn( "Silverpine Forest" ), zn( "Alterac Mountains" ), zn( "Arathi Highlands" ) };
    zones[zn( "Thousand Needles" )].zones = { zn( "The Barrens" ), zn( "Feralas" ), zn( "Tanaris" ) };
    zones[zn( "Alterac Mountains" )].zones = { zn( "Silverpine Forest" ), zn( "Hillsbrad Foothills" ), zn( "The Hinterlands" ), zn( "Western Plaguelands" ), zn( "Alterac Valley" ) };
    zones[zn( "Arathi Highlands" )].zones = { zn( "Wetlands" ), zn( "Hillsbrad Foothills" ), zn( "Arathi Basin" ) };
    zones[zn( "Desolace" )].zones = { zn( "Stonetalon Mountains" ), zn( "Feralas" ), zn( "Maraudon" ) };
    zones[zn( "Stranglethorn Vale" )].zones = { zn( "Booty Bay" ), zn( "Duskwood" ), zn( "Grom'gol Base Camp" ), zn( "Zul'Gurub" ) };
    zones[zn( "Badlands" )].zones = { zn( "Loch Modan" ), zn( "Searing Gorge" ), zn( "Uldaman" ) };
    zones[zn( "Swamp of Sorrows" )].zones = { zn( "Blasted Lands" ), zn( "Deadwind Pass" ), zn( "The Temple of Atal'Hakkar" ) };
    zones[zn( "Dustwallow Marsh" )].zones = { zn( "The Barrens" ), zn( "Theramore Isle" ), zn( "Onyxia's Lair", 1 ), zn( "Onyxia's Lair", 2 ) };
    zones[zn( "The Hinterlands" )].zones = { zn( "Alterac Mountains" ), zn( "Western Plaguelands" ) };
    zones[zn( "Feralas" )].zones = { zn( "Thousand Needles" ), zn( "Desolace" ), zn( "Dire Maul" ) };
    zones[zn( "Tanaris" )].zones = { zn( "Thousand Needles" ), zn( "Un'Goro Crater" ), zn( "Gadgetzan" ), zn( "Zul'Farrak" ), zn( "Caverns of Time" ) };
    zones[zn( "Searing Gorge" )].zones = { zn( "Badlands" ), zn( "Blackrock Mountain" ) };
    zones[zn( "Blasted Lands" )].zones = { zn( "Swamp of Sorrows" ), zn( "The Dark Portal" ) };
    zones[zn( "Un'Goro Crater" )].zones = { zn( "Tanaris" ), zn( "Silithus" ) };
    zones[zn( "Azshara" )].zones = { zn( "Durotar" ), zn( "Ashenvale" ) };
    zones[zn( "Felwood" )].zones = { zn( "Darkshore" ), zn( "Ashenvale" ), zn( "Winterspring" ), zn( "Moonglade" ) };
    zones[zn( "Burning Steppes" )].zones = { zn( "Redridge Mountains" ), zn( "Blackrock Mountain" ) };
    zones[zn( "Western Plaguelands" )].zones = { zn( "Tirisfal Glades" ), zn( "Alterac Mountains" ), zn( "The Hinterlands" ), zn( "Eastern Plaguelands" ), zn( "Scholomance" ) };
    zones[zn( "Deadwind Pass" )].zones = { zn( "Duskwood" ), zn( "Swamp of Sorrows" ), zn( "Karazhan" ) };
    zones[zn( "Karazhan" )].zones = { zn( "Deadwind Pass" ) };
    zones[zn( "Eastern Plaguelands" )].zones = { zn( "Western Plaguelands" ), zn( "Stratholme" ), zn( "Ghostlands" ) };
    zones[zn( "Silithus" )].zones = { zn( "Un'Goro Crater" ), zn( "Ahn'Qiraj" ), zn( "Temple of Ahn'Qiraj" ) };
    zones[zn( "Winterspring" )].zones = { zn( "Moonglade" ), zn( "Felwood" ) };

    zones[zn( "Silvermoon City" )].zones = { zn( "Eversong Woods" ), zn("Orb of Translocation" ), zn( "Isle of Quel'Danas" ), zn( "Portal", 43 ) };
    zones[zn( "Eversong Woods" )].zones = { zn( "Ghostlands" ), zn( "Silvermoon City" ) };
    zones[zn( "Ghostlands" )].zones = { zn( "Eversong Woods" ), zn( "Eastern Plaguelands" ), zn( "Zul'Aman" ) };

    zones[zn( "Auberdine" )].zones = { zn( "Darkshore" ), zn( "Boat", 2 ), zn( "Boat", 3 ), zn( "Boat", 5 ) };
    zones[zn( "Azuremyst Isle" )].zones = { zn( "Bloodmyst Isle" ), zn( "The Exodar" ), zn( "Boat", 5 ) };
    zones[zn( "Bloodmyst Isle" )].zones = { zn( "Azuremyst Isle" ) };
    zones[zn( "The Exodar" )].zones = { zn( "Azuremyst Isle" ), zn( "Portal", 39 ) };

    zones[zn( "Ragefire Chasm" )].zones = { zn( "Orgrimmar" ) };
    zones[zn( "Wailing Caverns" )].zones = { zn( "The Barrens" ) };
    zones[zn( "The Deadmines" )].zones = { zn( "Westfall" ) };
    zones[zn( "The Stockade" )].zones = { zn( "Stormwind City" ) };
    zones[zn( "Shadowfang Keep" )].zones = { zn( "Silverpine Forest" ) };
    zones[zn( "Blackfathom Deeps" )].zones = { zn( "Ashenvale" ) };
    zones[zn( "Gnomeregan" )].zones = { zn( "Dun Morogh" ) };
    zones[zn( "Razorfen Kraul" )].zones = { zn( "The Barrens" ) };
    zones[zn( "Scarlet Monastery" )].zones = { zn( "Tirisfal Glades" ), zn( zst( "Scarlet Monastery", "Graveyard" ) ), zn( zst( "Scarlet Monastery", "Library" ) ), zn( zst( "Scarlet Monastery", "Armory" ) ), zn( zst( "Scarlet Monastery", "Cathedral" ) ) };
    zones[zn( zst( "Scarlet Monastery", "Graveyard" ) )].zones = { zn( "Scarlet Monastery" ) };
    zones[zn( zst( "Scarlet Monastery", "Library" ) )].zones = { zn( "Scarlet Monastery" ) };
    zones[zn( zst( "Scarlet Monastery", "Armory" ) )].zones = { zn( "Scarlet Monastery" ) };
    zones[zn( zst( "Scarlet Monastery", "Cathedral" ) )].zones = { zn( "Scarlet Monastery" ) };
    zones[zn( "Razorfen Downs" )].zones = { zn( "The Barrens" ) };
    zones[zn( "Uldaman" )].zones = { zn( "Badlands" ) };
    zones[zn( "Maraudon" )].zones = { zn( "Desolace" ), zn( zst( "Maraudon", "Orange Crystals" ) ), zn( zst( "Maraudon", "Purple Crystals" ) ), zn( zst( "Maraudon", "Pristine Waters" ) ) };
    zones[zn( zst( "Maraudon", "Orange Crystals" ) )].zones = { zn( "Maraudon" ) };
    zones[zn( zst( "Maraudon", "Purple Crystals" ) )].zones = { zn( "Maraudon" ) };
    zones[zn( zst( "Maraudon", "Pristine Waters" ) )].zones = { zn( "Maraudon" ) };    
    zones[zn( "Zul'Farrak" )].zones = { zn( "Tanaris" ) };
    zones[zn( "The Temple of Atal'Hakkar" )].zones = { zn( "Swamp of Sorrows" ) };
    zones[zn( "Blackrock Depths" )].zones = { zn( "Blackrock Mountain" ), zn( zst( "Blackrock Depths", "Lower City" ) ), zn( zst( "Blackrock Depths", "Upper City" ), zn( "Molten Core" ) ) };
    zones[zn( zst( "Blackrock Depths", "Lower City" ) )].zones = { zn( "Blackrock Depths" ) };
    zones[zn( zst( "Blackrock Depths", "Upper City" ) )].zones = { zn( "Blackrock Depths" ) };
    zones[zn( "Blackrock Spire", 1 )].zones = { zn( "Blackrock Mountain" ), zn( "Blackrock Spire", 2 ) };
    zones[zn( "Blackrock Spire", 2 )].zones = { zn( "Blackrock Spire", 1 ) };
    zones[zn( "Blackrock Spire", 3 )].zones = { zn( "Blackrock Spire", 2 ), zn( "Blackwing Lair" ) };
    zones[zn( "Stratholme" )].zones = { zn( "Eastern Plaguelands" ), zn( zst( "Stratholme", "Main Gate" ) ), zn( zst( "Stratholme", "Service Entrance" ) ), zn( "Naxxramas", 1 ) };
    zones[zn( zst( "Stratholme", "Main Gate" ) )].zones = { zn( "Stratholme" ) };
    zones[zn( zst( "Stratholme", "Service Entrance" ) )].zones = { zn( "Stratholme" ) };
    zones[zn( "Naxxramas", 1 )].zones = { zn( "Stratholme" ) };
    zones[zn( "Dire Maul" )].zones = { zn( "Feralas" ), zn( "Dire Maul (East)" ), zn( "Dire Maul (West)" ), zn( "Dire Maul (North)" ) };
    zones[zn( "Dire Maul (East)" )].zones = { zn( "Dire Maul" ) };
    zones[zn( "Dire Maul (West)" )].zones = { zn( "Dire Maul" ) };
    zones[zn( "Dire Maul (North)" )].zones = { zn( "Dire Maul" ) };
    zones[zn( "Scholomance" )].zones = { zn( "Western Plaguelands" ) };
    zones[zn( "Warsong Gulch", 1 )].zones = { zn( "The Barrens" ) };
    zones[zn( "Warsong Gulch", 2 )].zones = { zn( "Ashenvale" ) };
    zones[zn( "Arathi Basin" )].zones = { zn( "Arathi Highlands" ) };
    zones[zn( "Alterac Valley" )].zones = { zn( "Alterac Mountains" ) };
    zones[zn( "Blackwing Lair" )].zones = { zn( "Blackrock Spire", 3 ) };
    zones[zn( "Molten Core" )].zones = { zn( "Blackrock Depths" ) };
    zones[zn( "Onyxia's Lair", 1 )].zones = { zn( "Dustwallow Marsh" ) };
    zones[zn( "Onyxia's Lair", 2 )].zones = { zn( "Dustwallow Marsh" ) };
    zones[zn( "Zul'Gurub" )].zones = { zn( "Stranglethorn Vale" ) };
    zones[zn( "Ahn'Qiraj" )].zones = { zn( "Silithus" ) };
    zones[zn( "Temple of Ahn'Qiraj" )].zones = { zn( "Silithus" ) };
    zones[zn( "Zul'Aman" )].zones = { zn( "Ghostlands" ) };

    zones[zn( "Caverns of Time" )].zones = { zn( "Tanaris" ), zn( "Old Hillsbrad Foothills" ), zn( "The Black Morass" ), zn( "Hyjal Summit" ), zn( "The Culling of Stratholme" ) };
    zones[zn( "Old Hillsbrad Foothills" )].zones = { zn( "Caverns of Time" ) };
    zones[zn( "The Black Morass" )].zones = { zn( "Caverns of Time" ) };
    zones[zn( "Hyjal Summit" )].zones = { zn( "Caverns of Time" ) };
    zones[zn( "The Culling of Stratholme" )].zones = { zn( "Caverns of Time" ) };

    --Isle of Quel'Danas
    zones[zn( "Isle of Quel'Danas" )].zones = { zn( "Magisters' Terrace" ), zn( "Sunwell Plateau" ), zn( "Ironforge" ), zn( "Silvermoon City" ) };
    zones[zn( "Magisters' Terrace" )].zones = { zn( "Isle of Quel'Danas" ) };
    zones[zn( "Sunwell Plateau" )].zones = { zn( "Isle of Quel'Danas" ) };

    zones[zn( "Gadgetzan" )].zones = { zn( "Tanaris" ) };
    zones[zn( "Deeprun Tram" )].zones = { zn( "Stormwind City" ), zn( "Ironforge" ) };
    zones[zn( "Theramore Isle" )].zones = { zn( "Dustwallow Marsh" ), zn( "Boat", 1 ) };
    zones[zn( "Booty Bay" )].zones = { zn( "Stranglethorn Vale" ), zn( "Boat", 4 ) };
    zones[zn( "Ratchet" )].zones = { zn( "The Barrens" ), zn( "Boat", 4 ) };
    zones[zn( "Menethil Harbor" )].zones = { zn( "Wetlands" ), zn( "Boat", 1 ), zn( "Boat", 7 ) };
    zones[zn( "Auberdine" )].zones = { zn( "Darkshore" ), zn( "Boat", 2 ), zn( "Boat", 3 ) };
    zones[zn( "Grom'gol Base Camp" )].zones = { zn( "Stranglethorn Vale" ), zn( "Zeppelin", 2 ), zn( "Zeppelin", 3 ) };
    zones[zn( "Blackrock Mountain" )].zones = { zn( "Searing Gorge" ), zn( "Burning Steppes" ), zn( "Blackrock Depths" ), zn( "Blackrock Spire" ) };

    zones[zn( "Portal", 36 )].zones = { zn( "Stormwind City" ), zn( "Blasted Lands" ) };
    zones[zn( "Portal", 37 )].zones = { zn( "Ironforge" ), zn( "Blasted Lands" ) };
    zones[zn( "Portal", 38 )].zones = { zn( "Darnassus" ), zn( "Blasted Lands" ) };
    zones[zn( "Portal", 39 )].zones = { zn( "The Exodar" ), zn( "Blasted Lands" ) };
    zones[zn( "Portal", 40 )].zones = { zn( "Orgrimmar" ), zn( "Blasted Lands" ) };
    zones[zn( "Portal", 41 )].zones = { zn( "Undercity" ), zn( "Blasted Lands" ) };
    zones[zn( "Portal", 42 )].zones = { zn( "Thunder Bluff" ), zn( "Blasted Lands" ) };
    zones[zn( "Portal", 43 )].zones = { zn( "Silvermoon City" ), zn( "Blasted Lands" ) };

    zones[zn( "Boat", 1 )].zones = { zn( "Theramore Isle" ), zn( "Menethil Harbor" ) };
    zones[zn( "Boat", 2 )].zones = { zn( "Stormwind City" ), zn( "Auberdine" ) };
    zones[zn( "Boat", 3 )].zones = { zn( "Darnassus" ), zn( "Auberdine" ) };
    zones[zn( "Boat", 4 )].zones = { zn( "Booty Bay" ), zn( "Ratchet" ) };
    zones[zn( "Boat", 5 )].zones = { zn( "Azuremyst Isle" ), zn( "Auberdine" ) };
    zones[zn( "Boat", 6 )].zones = { zn( "Stormwind City" ), zn( "Valiance Keep" ) };
    zones[zn( "Boat", 7 )].zones = { zn( "Menethil Harbor" ), zn( "Valgarde" ) };
    zones[zn( "Boat", 8 )].zones = { zn( "Borean Tundra" ), zn( "Dragonblight" ) };
    zones[zn( "Boat", 9 )].zones = { zn( "Howling Fjord" ), zn( "Dragonblight" ) };
    zones[zn( "Zeppelin", 1 )].zones = { zn( "Tirisfal Glades" ), zn( "Durotar" ) };
    zones[zn( "Zeppelin", 2 )].zones = { zn( "Tirisfal Glades" ), zn( "Grom'gol Base Camp" ) };
    zones[zn( "Zeppelin", 3 )].zones = { zn( "Durotar" ), zn( "Grom'gol Base Camp" ) };
    zones[zn( "Zeppelin", 4 )].zones = { zn( "Durotar" ), zn( "Warsong Hold" ) };
    zones[zn( "Zeppelin", 5 )].zones = { zn( "Tirisfal Glades" ), zn( "New Agamand" ) };
    zones[zn( "Orb of Translocation" )].zones = { zn( "Silvermoon City" ), zn( "Undercity" ) };
    zones[zn( "The Dark Portal" )].zones = { zn( "Hellfire Peninsula" ), zn( "Blasted Lands" ) };

    -- Outland
    zones[zn( "Shattrath City" )].zones = { zn( "Terokkar Forest" ), zn( "Portal", 1 ), zn( "Portal", 2 ), zn( "Portal", 3 ), zn( "Portal", 4 ), zn( "Portal", 5 ), zn( "Portal", 6 ), zn( "Portal", 7 ), zn( "Portal", 8 ), zn( "Portal", 9 ) };
    zones[zn( "Portal", 1 )].zones = { zn( "Shattrath City" ), zn( "Isle of Quel'Danas" ) };
    zones[zn( "Portal", 2 )].zones = { zn( "Shattrath City" ), zn( "Ironforge" ) };
    zones[zn( "Portal", 3 )].zones = { zn( "Shattrath City" ), zn( "Stormwind City" ) };
    zones[zn( "Portal", 4 )].zones = { zn( "Shattrath City" ), zn( "Darnassus" ) };
    zones[zn( "Portal", 5 )].zones = { zn( "Shattrath City" ), zn( "Undercity" ) };
    zones[zn( "Portal", 6 )].zones = { zn( "Shattrath City" ), zn( "Orgrimmar" ) };
    zones[zn( "Portal", 7 )].zones = { zn( "Shattrath City" ), zn( "Thunder Bluff" ) };
    zones[zn( "Portal", 8 )].zones = { zn( "Shattrath City" ), zn( "The Exodar" ) };
    zones[zn( "Portal", 9 )].zones = { zn( "Shattrath City" ), zn( "Silvermoon City" ) };

    zones[zn( "Hellfire Peninsula" )].zones = { zn( "Zangarmarsh" ), zn( "Terokkar Forest" ), zn( "Hellfire Citadel" ), zn( "The Dark Portal" ) };
    zones[zn( "Hellfire Citadel" )].zones = { zn( "Hellfire Peninsula" ), zn( "Hellfire Ramparts" ), zn( "The Blood Furnace" ), zn( "The Shattered Halls" ), zn( "Magtheridon's Lair" ) };
    zones[zn( "Hellfire Ramparts" )].zones = { zn( "Hellfire Citadel" ) };
    zones[zn( "The Blood Furnace" )].zones = { zn( "Hellfire Citadel" ) };
    zones[zn( "The Shattered Halls" )].zones = { zn( "Hellfire Citadel" ) };
    zones[zn( "Magtheridon's Lair" )].zones = { zn( "Hellfire Citadel" ) };

    zones[zn( "Zangarmarsh" )].zones = { zn( "Hellfire Peninsula" ), zn( "Terokkar Forest" ), zn( "Nagrand" ), zn( "Blade's Edge Mountains" ), zn( "Coilfang Reservoir" ) };
    zones[zn( "Coilfang Reservoir" )].zones = { zn( "Zangarmarsh" ), zn( "The Slave Pens" ), zn( "The Underbog" ), zn( "The Steamvault" ), zn( "Serpentshrine Cavern" ) };
    zones[zn( "The Slave Pens" )].zones = { zn( "Coilfang Reservoir" ) };
    zones[zn( "The Underbog" )].zones = { zn( "Coilfang Reservoir" ) };
    zones[zn( "The Steamvault" )].zones = { zn( "Coilfang Reservoir" ) };
    zones[zn( "Serpentshrine Cavern" )].zones = { zn( "Coilfang Reservoir" ) };

    zones[zn( "Terokkar Forest" )].zones = { zn( "Hellfire Peninsula" ), zn( "Zangarmarsh" ), zn( "Nagrand" ), zn( "Shadowmoon Valley" ), zn( "Ring of Observance" ), zn( "Shattrath City" ) };
    zones[zn( "Ring of Observance" )].zones = { zn( "Terokkar Forest" ), zn( "Auchenai Crypts" ), zn( "Shadow Labyrinth" ), zn( "Sethekk Halls" ), zn( "Mana-Tombs" ) };
    zones[zn( "Auchenai Crypts" )].zones = { zn( "Ring of Observance" ) };
    zones[zn( "Shadow Labyrinth" )].zones = { zn( "Ring of Observance" ) };
    zones[zn( "Sethekk Halls" )].zones = { zn( "Ring of Observance" ) };
    zones[zn( "Mana-Tombs" )].zones = { zn( "Ring of Observance" ) };

    zones[zn( "Nagrand" )].zones = { zn( "Zangarmarsh" ), zn( "Terokkar Forest" ) };

    zones[zn( "Blade's Edge Mountains" )].zones = { zn( "Zangarmarsh" ), zn( "Netherstorm" ), zn( "Gruul's Lair" ) };
    zones[zn( "Gruul's Lair" )].zones = { zn( "Blade's Edge Mountains" ) };

    zones[zn( "Netherstorm" )].zones = { zn( "Blade's Edge Mountains" ), zn( "Tempest Keep" ) };
    zones[zn( "Tempest Keep" )].zones = { zn( "Netherstorm" ), zn( "The Mechanar" ), zn( "The Botanica" ), zn( "The Arcatraz" ), zn( "The Eye" ) };
    zones[zn( "The Mechanar" )].zones = { zn( "Tempest Keep" ) };
    zones[zn( "The Botanica" )].zones = { zn( "Tempest Keep" ) };
    zones[zn( "The Arcatraz" )].zones = { zn( "Tempest Keep" ) };
    zones[zn( "The Eye" )].zones = { zn( "Tempest Keep" ) };

    zones[zn( "Shadowmoon Valley" )].zones = { zn( "Terokkar Forest" ), zn( "Black Temple" ) };
    zones[zn( "Black Temple" )].zones = { zn( "Shadowmoon Valley" ) };

    --Northrend
    zones[zn( "Howling Fjord" )].zones = { zn( "Grizzly Hills" ), zn( "Utgarde Keep", 1 ), zn( "Valgarde" ), zn( "New Agamand" ) };
    zones[zn( "Valgarde" )].zones = { zn( "Howling Fjord" ), zn( "Boat", 9 ) };
    zones[zn( "New Agamand" )].zones = { zn( "Howling Fjord" ), zn( "Zeppelin", 6 ) };
    zones[zn( "Utgarde Keep", 1 )].zones = { zn( "Howling Fjord" ), zn( "Utgarde Keep", 2 ), zn( "Utgarde Pinnacle" ) };
    zones[zn( "Utgarde Keep", 2 )].zones = { zn( "Utgarde Keep", 1 ) };
    zones[zn( "Utgarde Pinnacle" )].zones = { zn( "Utgarde Keep", 1 ) };

    zones[zn( "Borean Tundra" )].zones = { zn( "Dragonblight" ), zn( "Sholazar Basin" ), zn( "Coldarra" ), zn( "Valiance Keep" ), zn( "Warsong Hold" ) };
    zones[zn( "Valiance Keep" )].zones = { zn( "Howling Fjord" ), zn( "Boat", 8 ) };
    zones[zn( "Warsong Hold" )].zones = { zn( "Howling Fjord" ), zn( "Zeppelin", 4 ) };
    zones[zn( "Coldarra" )].zones = { zn( "Borean Tundra" ), zn( "The Nexus" ), zn( "The Oculus" ), zn( "The Eye of Eternity" ) };
    zones[zn( "The Nexus" )].zones = { zn( "Coldarra" ) };
    zones[zn( "The Oculus" )].zones = { zn( "Coldarra" ) };
    zones[zn( "The Eye of Eternity" )].zones = { zn( "Coldarra" ) };

    zones[zn( "Dragonblight" )].zones = { zn( "Borean Tundra" ), zn( "Zul'Drak" ), zn( "Grizzly Hills" ), zn( "Crystalsong Forest" ), zn( "The Pit of Narjun" ), zn( "Wyrmrest Temple" ), zn( "Naxxramas", 2 ) };
    zones[zn( "The Pit of Narjun" )].zones = { zn( "Dragonblight" ) };
    zones[zn( "Azjol-Nerub" )].zones = { zn( "The Pit of Narjun" ) };
    zones[zn( "Ahn'kahet: The Old Kingdom" )].zones = { zn( "The Pit of Narjun" ) };
    zones[zn( "Wyrmrest Temple" )].zones = { zn( "Dragonblight" ), zn( "The Obsidian Sanctum" ), zn( "The Ruby Sanctum" ) };
    zones[zn( "The Obsidian Sanctum" )].zones = { zn( "Wyrmrest Temple" ) };
    zones[zn( "The Ruby Sanctum" )].zones = { zn( "Wyrmrest Temple" ) };
    zones[zn( "Naxxramas", 2 )].zones = { zn( "Dragonblight" ) };

    zones[zn( "Grizzly Hills" )].zones = { zn( "Howling Fjord" ), zn( "Zul'Drak" ), zn( "Dragonblight" ), zn( "Drak'Tharon Keep" ) };
    zones[zn( "Drak'Tharon Keep" )].zones = { zn( "Grizzly Hills" ) };

    zones[zn( "Zul'Drak" )].zones = { zn( "Grizzly Hills" ), zn( "Crystalsong Forest" ), zn( "Dragonblight" ), zn( "Gundrak" ) };
    zones[zn( "Gundrak" )].zones = { zn( "Zul'Drak" ) };

    zones[zn( "Sholazar Basin" )].zones = { zn( "Borean Tundra" ) };

    zones[zn( "Crystalsong Forest" )].zones = { zn( "Dalaran" ), zn( "Zul'Drak" ), zn( "Dragonblight" ), zn( "Icecrown" ), zn( "The Storm Peaks" ) };
    zones[zn( "Dalaran" )].zones = { zn( "Crystalsong Forest" ), zn( "The Violet Hold" ), zn( "Portal", 10 ), zn( "Portal", 11 ), zn( "Portal", 12 ), zn( "Portal", 13 ), zn( "Portal", 14 ), zn( "Portal", 15 ), zn( "Portal", 16 ), zn( "Portal", 17 ), zn( "Portal", 18 ), zn( "Portal", 19 ), zn( "Portal", 20 ), zn( "Portal", 21 ), zn( "Portal", 22 ), zn( "Portal", 23 ), zn( "Portal", 24 ), zn( "Portal", 25 ), zn( "Portal", 26 ), zn( "Portal", 27 ), zn( "Portal", 28 ), zn( "Portal", 29 ), zn( "Portal", 30 ), zn( "Portal", 31 ), zn( "Portal", 32 ), zn( "Portal", 33 ), zn( "Portal", 34 ), zn( "Portal", 35 ) };
    zones[zn( "The Violet Hold" )].zones = { zn( "Dalaran" ) };
    zones[zn( "Portal", 10 )].zones = { zn( "Dalaran" ), zn( "Ironforge" ) };
    zones[zn( "Portal", 11 )].zones = { zn( "Dalaran" ), zn( "Stormwind City" ) };
    zones[zn( "Portal", 12 )].zones = { zn( "Dalaran" ), zn( "Darnassus" ) };
    zones[zn( "Portal", 13 )].zones = { zn( "Dalaran" ), zn( "The Exodar" ) };
    zones[zn( "Portal", 14 )].zones = { zn( "Dalaran" ), zn( "Shattrath City" ) };
    zones[zn( "Portal", 15 )].zones = { zn( "Dalaran" ), zn( "Undercity" ) };
    zones[zn( "Portal", 16 )].zones = { zn( "Dalaran" ), zn( "Orgrimmar" ) };
    zones[zn( "Portal", 17 )].zones = { zn( "Dalaran" ), zn( "Thunder Bluff" ) };
    zones[zn( "Portal", 18 )].zones = { zn( "Dalaran" ), zn( "Silvermoon City" ) };
    zones[zn( "Portal", 19 )].zones = { zn( "Dalaran" ), zn( "Shattrath City" ) };
    zones[zn( "Portal", 20 )].zones = { zn( "Dalaran" ), zn( "Wintergrasp" ) };
    zones[zn( "Portal", 21 )].zones = { zn( "Dalaran" ), zn( "Wintergrasp" ) };
    zones[zn( "Portal", 22 )].zones = { zn( "Dalaran" ), zn( "Caverns of Time" ) };
    zones[zn( "Portal", 24 )].zones = { zn( "Dalaran" ), zn( "Warsong Gulch", 2 ) };
    zones[zn( "Portal", 25 )].zones = { zn( "Dalaran" ), zn( "Arathi Basin" ) };
    zones[zn( "Portal", 26 )].zones = { zn( "Dalaran" ), zn( "Alterac Valley" ) };
    zones[zn( "Portal", 27 )].zones = { zn( "Dalaran" ), zn( "Eye of the Storm" ) };
    zones[zn( "Portal", 28 )].zones = { zn( "Dalaran" ), zn( "Strand of the Ancients" ) };
    zones[zn( "Portal", 29 )].zones = { zn( "Dalaran" ), zn( "Warsong Gulch", 1 ) };
    zones[zn( "Portal", 30 )].zones = { zn( "Dalaran" ), zn( "Arathi Basin" ) };
    zones[zn( "Portal", 31 )].zones = { zn( "Dalaran" ), zn( "Alterac Valley" ) };
    zones[zn( "Portal", 32 )].zones = { zn( "Dalaran" ), zn( "Eye of the Storm" ) };
    zones[zn( "Portal", 33 )].zones = { zn( "Dalaran" ), zn( "Strand of the Ancients" ) };
    zones[zn( "Portal", 34 )].zones = { zn( "Dalaran" ), zn( "Vault of Archavon" ) };
    zones[zn( "Portal", 35 )].zones = { zn( "Dalaran" ), zn( "Vault of Archavon" ) };

    zones[zn( "The Storm Peaks" )].zones = { zn( "Crystalsong Forest" ), zn( "Ulduar", 1 ) };
    zones[zn( "Ulduar", 1 )].zones = { zn( "The Storm Peaks" ), zn( "Halls of Stone" ), zn( "Halls of Lightning" ), zn( "Ulduar", 2 ) };
    zones[zn( "Halls of Stone" )].zones = { zn( "Ulduar", 1 ) };
    zones[zn( "Halls of Lightning" )].zones = { zn( "Ulduar", 1 ) };
    zones[zn( "Ulduar", 2 )].zones = { zn( "Ulduar", 1 ) };

    zones[zn( "Icecrown" )].zones = { zn( "Crystalsong Forest" ), zn( "Icecrown Citadel", 1 ), zn( "Argent Tournament Grounds" ), zn( "Hrothgar's Landing" ) };
    zones[zn( "Icecrown Citadel", 1 )].zones = { zn( "Icecrown Citadel", 2 ), zn( "The Forge of Souls" ), zn( "Pit of Saron" ), zn( "Halls of Reflection" ) };
    zones[zn( "Icecrown Citadel", 2 )].zones = { zn( "Icecrown Citadel", 1 ) };
    zones[zn( "The Forge of Souls" )].zones = { zn( "Icecrown Citadel", 1 ) };
    zones[zn( "Pit of Saron" )].zones = { zn( "Icecrown Citadel", 1 ) };
    zones[zn( "Halls of Reflection" )].zones = { zn( "Icecrown Citadel", 1 ) };

    zones[zn( "Argent Tournament Grounds" )].zones = { zn( "Trial of the Champion" ), zn( "Trial of the Crusader" ) };
    zones[zn( "Trial of the Champion" )].zones = { zn( "Argent Tournament Grounds" ) };
    zones[zn( "Trial of the Crusader" )].zones = { zn( "Argent Tournament Grounds" ) };

    zones[zn( "Wintergrasp" )].zones = { zn( "Wintergrasp Fortress" ) };
    zones[zn( "Wintergrasp Fortress" )].zones = { zn( "Wintergrasp" ) };
    zones[zn( "Vault of Archavon" )].zones = { zn( "Wintergrasp Fortress" ) };

    zones[zn( "Hrothgar's Landing" )].zones = { zn( "Icecrown" ) };
end;